<div class="container">
  <h1>Profile Settings</h1>
  <div class="settings-row">
    <div class="col">
      <img ng-src="{{vm.global.user.img.length > 0 ? vm.global.user.img : vm.global.default_img}}" onerror="this.src='assets/images/default-user.png'" alt="">
      <button ng-click="vm.global.user.img = 'assets/images/default-user.png'"><i class="fa fa-trash"></i></button>
      <button file-button>
        <i class="fa fa-pencil"></i>
        <input type="file" id="fileInput" ng-model="vm.picture" base-sixty-four-input parser="vm.imgParser">
      </button>
    </div>
    <div class="col">
      <h2 ng-class="{'error': vm.global.user.fullname.length == 0}">
        NAME <span>This field can't be empty</span>
      </h2>
      <input type="text" ng-model="vm.global.user.fullname">
    </div>
  </div>
  <div class="settings-row">
    <div class="col">
      <h2 ng-class="{'error': vm.global.user.phone.length == 0}">Phone <span>This field can't be empty</span></h2>
      <input type="text" ng-model="vm.global.user.phone">
    </div>
    <div class="col">
      <h2>Password</h2>
      <input type="{{vm.passwordVisible}}" ng-model="vm.global.user.password">
      <a href="javascript:void(0)" ng-mousedown="vm.passwordVisible = 'text'" ng-mouseup="vm.passwordVisible = 'password'"><i class="fa fa-eye"></i></a>
    </div>
  </div>
  <div class="settings-row">
    <div class="col">
      <h2 ng-class="{'error': vm.global.user.location.length == 0}">Location <span>This field can't be empty</span></h2>
      <input type="text" ng-model="vm.global.user.city">
    </div>
    <div class="col">
      <h2>School</h2>
      <input type="text" ng-model="vm.global.user.college">
    </div>
  </div>
  <div class="settings-row">
    <div class="col full">
      <h2>Bio</h2>
      <textarea ng-model="vm.global.user.bio"></textarea>
    </div>
  </div>
  <button class="large-button" ladda="vm.submitLoading" ng-click="vm.submit()">Update Account Settings</button>
</div>
